summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2014-09-05 15:38:13 -0400
committerJesse Luehrs <doy@tozt.net>2014-09-05 15:39:21 -0400
commitb72f53b2805338c68e9f9eaa0fb444469ea6cf1c (patch)
tree0dc7ebd4a702a3b225f3cc417da1fda6eb78054a /bin
parenta28ab0bd02f8b14098aa8dad751300e1fc6a121a (diff)
downloadconf-b72f53b2805338c68e9f9eaa0fb444469ea6cf1c.tar.gz
conf-b72f53b2805338c68e9f9eaa0fb444469ea6cf1c.zip
script to easily compile and run rust things
Diffstat (limited to 'bin')
-rwxr-xr-xbin/rusti11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/rusti b/bin/rusti
new file mode 100755
index 0000000..9111d0f
--- /dev/null
+++ b/bin/rusti
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+RUSTI_TEMP=$(mktemp -d)
+trap "rm -f $RUSTI_TEMP/test $RUSTI_TEMP/test.rs && rmdir $RUSTI_TEMP" EXIT
+
+cd $RUSTI_TEMP
+vim test.rs
+rustc test.rs
+./test